# Poco::Data::MySQL

# class MySQLStatementImpl

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/MySQLStatementImpl.h

## Description

Implements statement functionality needed for MySQL

## Inheritance

Direct Base Classes: Poco::Data::StatementImpl

All Base Classes: Poco::Data::StatementImpl

## Member Summary

Member Functions: affectedRowCount, bindImpl, binder, canBind, canCompile, columnsReturned, compileImpl, extractor, hasNext, metaColumn, next

Inherited Functions: activateNextDataSet, activatePreviousDataSet, add, addBind, addExtract, affectedRowCount, bindImpl, binder, bindings, canBind, canCompile, columnsExtracted, columnsReturned, compileImpl, currentDataSet, dataSetCount, execute, extractionCount, extractionLimit, extractions, extractor, fixupBinding, fixupExtraction, getExtractionLimit, getState, getStorage, hasMoreDataSets, hasNext, isStoredProcedure, makeExtractors, metaColumn, next, removeBind, reset, resetBinding, rowsExtracted, session, setExtractionLimit, setStorage, subTotalRowCount, toString

## Constructors

### MySQLStatementImpl

MySQLStatementImpl(
SessionImpl & s
);

Creates the MySQLStatementImpl.

## Destructor

### ~MySQLStatementImpl

~MySQLStatementImpl();

Destroys the MySQLStatementImpl.

## Member Functions

### affectedRowCount

virtual int affectedRowCount() const;

Returns the number of affected rows. Used to find out the number of rows affected by insert, delete or update.

See also: Poco::Data::StatementImpl::affectedRowCount()

### bindImpl

virtual void bindImpl();

Binds parameters

See also: Poco::Data::StatementImpl::bindImpl()

### binder

virtual Poco::Data::AbstractBinder::Ptr binder();

Returns the concrete binder used by the statement.

### canBind

virtual bool canBind() const;

Returns true if a valid statement is set and we can bind.

See also: Poco::Data::StatementImpl::canBind()

### canCompile

virtual bool canCompile() const;

Returns true if another compile is possible.

See also: Poco::Data::StatementImpl::canCompile()

### columnsReturned

virtual std::size_t columnsReturned() const;

Returns number of columns returned by query.

See also: Poco::Data::StatementImpl::columnsReturned()

### compileImpl

virtual void compileImpl();

Compiles the statement, doesn't bind yet

See also: Poco::Data::StatementImpl::compileImpl()

### extractor

virtual Poco::Data::AbstractExtractor::Ptr extractor();

Returns the concrete extractor used by the statement.

### hasNext

virtual bool hasNext();

Returns true if a call to next() will return data.

See also: Poco::Data::StatementImpl::hasNext()

### metaColumn

virtual const MetaColumn & metaColumn(
std::size_t pos
) const;

Returns column meta data.

See also: Poco::Data::StatementImpl::metaColumn()

### next

virtual std::size_t next();

Retrieves the next row from the resultset. Will throw, if the resultset is empty.

See also: Poco::Data::StatementImpl::next()